# \_edit

Edit a Supplier record.

### Parameters

#### id

The ID of the Supplier to be edited.

#### name

The name of the Supplier to be edited.

#### contact\_name

The contact name for the Supplier to be edited.

#### account\_number

The account number of the Supplier to be edited.

#### tax\_id

The tax id of the Supplier to be edited.

#### email

The email of the Supplier to be edited.

#### phone

The phone number of the Supplier to be edited.

#### website

The website URL of the Supplier to be edited.

#### street\_address1

The first line of the Suppliers address to be edited.

#### street\_address2

The second line of the Suppliers address to be edited.

#### town

The town of the Supplier to be edited.

#### county

The county of the Supplier to be edited.

#### country

The country code of the Supplier to be edited, eg. United Kingdon - GBR

#### postcode

The postcode of the Supplier to be edited.

#### notes

Notes for the Supplier to be edited.

#### on\_hold

Yes - 1 No - 0

### Example

```
FM_api('Supplier_edit', ['id' => '4',
                       'name' => 'Supplier 1',
												 'contact_name' => 'mary',
												 'account_number' => '12',
												 'tax_id' => '20',
												 'email' =>  'Supplier@email.com',
												 'phone' => '53234234',
												 'website' => 'www.testsupplier.co.uk',
												 'street_address1' => '62 Miltown St',
												 'street_address2' => 'Burren',
												 'town' => 'Warrrenpoint',
												 'county' => 'Down',
												 'country' => 'GBR',
												 'postcode' => 'BT343PU',
												 'notes' => 'Test Note',
												 'on_hold' => '0'
												 ]));
```

### Result

#### On Success

```
{"ok":1}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fieldmotion.com/fieldmotion-api-docs/supplier/_edit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
